Storyden
Admin

Admin Settings Update

Update non-env configuration settings for installation.

PATCH/admin

Update non-env configuration settings for installation.

storyden-session<token>

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/admin" \  -H "Content-Type: application/json" \  -d '{}'
{
  "title": "string",
  "description": "string",
  "content": "string",
  "accent_colour": "string",
  "authentication_mode": "handle",
  "registration_mode": "public",
  "web_address": "http://example.com",
  "api_address": "http://example.com",
  "capabilities": [
    "plugins"
  ],
  "services": {
    "client_ip": {
      "client_ip_mode": "remote_addr",
      "client_ip_header": "string",
      "trusted_proxy_cidrs": [
        "string"
      ]
    },
    "rate_limiting": {
      "rate_limit": 0,
      "rate_limit_period": 0,
      "rate_limit_bucket": 0,
      "rate_limit_guest_cost": 0,
      "cost_overrides": {
        "property1": 0,
        "property2": 0
      }
    },
    "moderation": {
      "thread_body_length_max": 0,
      "reply_body_length_max": 0,
      "signature_length_max": 0,
      "word_block_list": [
        "string"
      ],
      "word_report_list": [
        "string"
      ]
    },
    "robots": {
      "default_model": "openai/gpt-4.1-mini"
    }
  },
  "metadata": {},
  "motd": {
    "content": "string",
    "start_at": "2019-08-24T14:15:22Z",
    "end_at": "2019-08-24T14:15:22Z",
    "metadata": {}
  },
  "headers": {
    "raw_client_address": "string",
    "headers": {
      "property1": "string",
      "property2": "string"
    },
    "headers_ssr": {
      "property1": "string",
      "property2": "string"
    }
  }
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "detail": "string",
  "trace_id": "string",
  "metadata": {}
}